{
 ************************************************************************************************************
 *                                                                                                          *
 *  AUTO-RECOVER NOTICE: This file was automatically recovered from an earlier Propeller Tool session.      *
 *                                                                                                          *
 *  ORIGINAL FOLDER:     \\psf\Home\Desktop\Projet Maison\                                                  *
 *  TIME AUTO-SAVED:     10 hours, 31 minutes ago (2012-07-12 02:43:51)                                     *
 *                                                                                                          *
 *  OPTIONS:             1)  RESTORE THIS FILE by deleting these comments and selecting File -> Save.       *
 *                           The existing file in the original folder will be replaced by this one.         *
 *                                                                                                          *
 *                           -- OR --                                                                       *
 *                                                                                                          *
 *                       2)  IGNORE THIS FILE by closing it without saving.                                 *
 *                           This file will be discarded and the original will be left intact.              *
 *                                                                                                          *
 ************************************************************************************************************
.}
CON

  'Set up the clock mode
  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000
  '5 MHz clock * 16x PLL = 80 MHz system clock speed

VAR

  'Globally accessible variables
  long  cogStack[400]
  long  routine1_cog, routine2_cog, routine3_cog

  
OBJ

  
  IR    :       "Client_DEMO"
  
PUB Go  'First public method in the .spin file starts execution, runs in cog 0
 
                        'Starts the Parallax Serial Terminal object at 115,200 baud.
                      '  *Launches one cog.

  waitcnt(cnt + (clkfreq * 2))  'wait for 2 seconds before starting other routines


  'Start our parallel routines
 cognew(Parallel_Routine_1, @cogStack[0])
 cognew(Parallel_Routine_2, @cogStack[200])

PUB Parallel_Routine_1
   IR.start
PUB Parallel_Routine_2
  IR.Main     